Update Env
API server
https://app.coolify.io/api/v1Update env by application UUID.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
UUID of the application.
Request Body
application/json
Env updated.
TypeScript Definitions
Use the request body type in TypeScript.
The key of the environment variable.
The value of the environment variable.
The flag to indicate if the environment variable is used in preview deployments.
The flag to indicate if the environment variable is a literal, nothing espaced.
The flag to indicate if the environment variable is multiline.
If true, the saved value is hidden in the UI and API responses. A lock is permanent: false does not unlock a locked variable, but a new value can still replace the locked one. MCP never returns environment variable values.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.coolify.io/api/v1/applications/string/envs" \ -H "Content-Type: application/json" \ -d '{ "key": "string", "value": "string" }'{ "id": 0, "uuid": "string", "resourceable_type": "string", "resourceable_id": 0, "is_literal": true, "is_multiline": true, "is_preview": true, "is_runtime": true, "is_buildtime": true, "is_shared": true, "is_shown_once": true, "key": "string", "value": "string", "real_value": "string", "comment": "string", "version": "string", "created_at": "string", "updated_at": "string"}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}